Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ServiceListener Class Reference

`#include <coherence/util/ServiceListener.hpp>`

Inherits EventListener.

List of all members.

## Detailed Description

The listener interface for receiving ServiceEvents.

See also:
  Service

  ServiceEvent

Author:
  jh 2007.12.12

## Public Types
typedef spec::Handle | Handle
| ServiceListener Handle definition.
typedef spec::View | View
| ServiceListener View definition.
typedef spec::Holder | Holder
| ServiceListener Holder definition.
## Public Member Functions
virtual void | serviceStarting (ServiceEvent::View vEvt)=0
| Invoked when a service is starting.
virtual void | serviceStarted (ServiceEvent::View vEvt)=0
| Invoked when a service has started.
virtual void | serviceStopping (ServiceEvent::View vEvt)=0
| Invoked when a service is stopping.
virtual void | serviceStopped (ServiceEvent::View vEvt)=0
| Invoked when a service has stopped.

## Member Function Documentation

virtual void serviceStarting | ( | ServiceEvent::View | vEvt | ) | `[pure virtual]`

Invoked when a service is starting.

Parameters:

  | vEvt | the ServiceEvent::SERVICE_STARTING event

virtual void serviceStarted | ( | ServiceEvent::View | vEvt | ) | `[pure virtual]`

Invoked when a service has started.

Parameters:

  | vEvt | the ServiceEvent::SERVICE_STARTED event

virtual void serviceStopping | ( | ServiceEvent::View | vEvt | ) | `[pure virtual]`

Invoked when a service is stopping.

Parameters:

  | vEvt | the ServiceEvent::SERVICE_STOPPING event

virtual void serviceStopped | ( | ServiceEvent::View | vEvt | ) | `[pure virtual]`

Invoked when a service has stopped.

Parameters:

  | vEvt | the ServiceEvent::SERVICE_STOPPED event

The documentation for this class was generated from the following file:

- coherence/util/ServiceListener.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.